$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.179.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.179.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1DE2DF1B921FD58D70DDD172EBC875018E4D3B518F65E68FA95BDBF0853686F3'
  checksumType = 'sha256'
  checksum64 = '1DE2DF1B921FD58D70DDD172EBC875018E4D3B518F65E68FA95BDBF0853686F3'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.179-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
